.title-container {
    display: flex;
    font-family: Tahoma, Geneva, Verdana, sans-serif;
    justify-content: center;
    align-items: center;
    width: 100%;
    margin-bottom: 1rem;
}

.picture-container {
    background-color: white;
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    justify-content: flex-start;
    align-content: flex-start;
    z-index: 1;
}

.picture-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.lightbox-enabled {
    width: 100%;
    transition: var(--transition);
}

.contain {
    object-fit: contain;
}

.cover {
    object-fit: cover;
}

.lightbox-enabled:hover {
    opacity: 0.8;
    cursor: zoom-in;
    transform: scale(1.01);
}

.lightbox-container {
    position: fixed;
    min-width: 100vw;
    min-height: 100vh;
    background-color: black;
    display: grid;
    place-items: center;
    z-index: 1000;
    opacity: 0;
    pointer-events: none;
    transition: var(--transition); 
} 

.lightbox-container.active {
    opacity: 1;
    pointer-events: all;
}

.lightbox-image-wrapper
{
    display: grid;
    place-items: center;
    max-width: 100vw;
    max-height: 100vh;
    position: relative;
}

.lightbox-btn {
    background-color: rgba(100, 100, 100, 0.0);
    display: grid;
    place-items: center;
    padding: .8rem;
    color: lightgrey;
    cursor: pointer;
    transition: var(--transition);
    position : absolute;
    opacity: 0;
}

.lightbox-btn:focus {
    outline: none;
}

.close {
    top: 0px;
    right: 0px;
}
.close:hover, .close:focus {
    opacity: 1;
    transition: opacity 1s;
}
@media (pointer:coarse) {
    .close {
        opacity: 1;
        cursor: zoom-out;
    }
}

.left {
    left: 0px;
}
@media (pointer:fine) {
    .left:hover, .left:focus {
        opacity: 1;
        transition: opacity 1s;
    }
}

.right {
    right: 0px;
}
@media (pointer:fine) {
    .right:hover, .right:focus {
        opacity: 1;
        transition: opacity 1s, right 1s;
    }
}

.lightbox-image {
    width: 100vw;
    height: 100vh;
    object-fit: contain;
}

.hide { opacity: 0; }
.show { opacity: 1; }
.overflow-hidden { overflow: hidden; }